libdar::crit_and Class Reference
API

realises the AND operator More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

Inherited by libdar::crit_or.

## Public Member Functions

| crit_and (const crit_and &ref)
| crit_and (crit_and &&ref)=default
crit_and & | operator= (const crit_and &ref)
crit_and & | operator= (crit_and &&ref) noexcept=default
void | add_crit (const criterium &ref)
void | clear ()
void | gobe (crit_and &to_be_voided)
| this call merges to the current call the arguments of another "crit_and", the given argument is cleared of its arguments.
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method More...
virtual criterium * | clone () const override
| clone construction method More...
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const =0
| criterum interface method More...
virtual criterium * | clone () const =0
| clone construction method More...

## Protected Attributes

std::deque< criterium * > | operand

## Private Member Functions

void | copy_from (const crit_and &ref)
void | detruit ()

## Detailed Description

realises the AND operator

Definition at line 506 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_and() [1/2]

libdar::crit_and::crit_and | ( |  | ) |

inline

Definition at line 509 of file criterium.hpp.

## crit_and() [2/2]

libdar::crit_and::crit_and | ( | const crit_and & | ref | ) |

inline

Definition at line 510 of file criterium.hpp.

## ~crit_and()

libdar::crit_and::~crit_and | ( |  | ) |

inline

Definition at line 514 of file criterium.hpp.

## Member Function Documentation

## clear()

void libdar::crit_and::clear | ( |  | ) |

inline

Definition at line 517 of file criterium.hpp.

## clone()

virtual criterium * libdar::crit_and::clone | ( |  | ) | const

inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 523 of file criterium.hpp.

## evaluate()

virtual bool libdar::crit_and::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const

override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

## operator=()

crit_and & libdar::crit_and::operator= | ( | const crit_and & | ref | ) |

inline

Definition at line 512 of file criterium.hpp.

## Member Data Documentation

## operand

std::deque<criterium *> libdar::crit_and::operand

protected

Definition at line 526 of file criterium.hpp.

The documentation for this class was generated from the following file:

- criterium.hpp